//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for alttranstypeValueList.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="alttranstypeValueList">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="proposal"/>
 *     &lt;enumeration value="previous-version"/>
 *     &lt;enumeration value="rejected"/>
 *     &lt;enumeration value="reference"/>
 *     &lt;enumeration value="accepted"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "alttranstypeValueList")
@XmlEnum
public enum AlttranstypeValueList {


    /**
     * Represents a translation proposal from a translation memory or other resource.
     * 
     */
    @XmlEnumValue("proposal")
    PROPOSAL("proposal"),

    /**
     * Represents a previous version of the target element.
     * 
     */
    @XmlEnumValue("previous-version")
    PREVIOUS_VERSION("previous-version"),

    /**
     * Represents a rejected version of the target element.
     * 
     */
    @XmlEnumValue("rejected")
    REJECTED("rejected"),

    /**
     * Represents a translation to be used for reference purposes only, for example from a related product or a different language.
     * 
     */
    @XmlEnumValue("reference")
    REFERENCE("reference"),

    /**
     * Represents a proposed translation that was used for the translation of the trans-unit, possibly modified.
     * 
     */
    @XmlEnumValue("accepted")
    ACCEPTED("accepted");
    private final String value;

    AlttranstypeValueList(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AlttranstypeValueList fromValue(String v) {
        for (AlttranstypeValueList c: AlttranstypeValueList.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
